### Method

# Ide FrameHeader add_custom_title

#### Declaration

    void
    ide_frame_header_add_custom_title (
      IdeFrameHeader* self,
      GtkWidget* widget,
      gint priority
    )

#### Description

This will add `widget` to the title area with `priority` determining the sort order of the child.

All “title” widgets in the `IdeFrameHeader` are expanded to the same size. So if you don’t need that, you should just use the normal `gtk_container_add_with_properties()` API to specify your widget with a given priority.

Available since: | 3.32

#### Parameters

`widget` | `GtkWidget`
| A `GtkWidget`.
| The data is owned by the caller of the function.
`priority` | `gint`
| The sort priority.